Bug 1015531 - KieExpander adds all artifacts as 'Document'
KieExpander adds all artifacts as 'Document'
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: 6.0.0
Assigned To: Kurt T Stam
Stefan Bunciak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 09:01 EDT by Kurt T Stam
Modified: 2014-02-06 10:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SRAMP-243 Major Closed Fix KieExpander 2014-01-23 01:34:46 EST

  None (edit)
Description Kurt T Stam 2013-10-04 09:01:16 EDT
Description of problem:

The KieIntegration is not setting the correct Extended Models causing all artifact to show as 'Document' rather then for example BpmnDocument for bpmn files.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 JBoss JIRA Server 2013-10-10 11:41:44 EDT
Kurt Stam <kurt.stam@jboss.com> updated the status of jira SRAMP-243 to Resolved
Comment 3 JBoss JIRA Server 2013-10-10 11:41:50 EDT
Kurt Stam <kurt.stam@jboss.com> updated the status of jira SRAMP-243 to Closed
Comment 4 Stefan Bunciak 2014-01-07 05:20:47 EST
As I mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1015251#c4, the KieExpander is not working properly and even it's not classifying derived artifacts as 'Document', the types are still not completely correct. E.g. kmodule.xml is not classified as 'KieXmlDocument' but 'XmlDocument'.
Comment 5 kconner 2014-01-22 15:43:14 EST
Kurt added the following comment on 1015251

"Hi Stefan, are you setting the type to KieJarArchive? If you are not it will default to 'Document'."

Could you please double check?
Comment 6 Jiri Pechanec 2014-01-23 01:34:40 EST
CR1 - when the import type is explicitly set to KieJarArchive then the import is executed properly
When import is not set it guesses it as JarArchive and the behaviour is the same is described above

Note You need to log in before you can comment on or make changes to this bug.